/*
 * Copyright (C) 2010 Teleal GmbH, Switzerland
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package org.teleal.cling.model.message.header;


public class ContentTypeHeader extends UpnpHeader<String> {

    public static final String DEFAULT_CONTENT_TYPE = "text/xml";

    public ContentTypeHeader() {
        setValue(DEFAULT_CONTENT_TYPE);
    }

    public ContentTypeHeader(String contentType) {
        setValue(contentType);
    }

    public void setString(String s) throws InvalidHeaderException {
        setValue(s);
    }

    public String getString() {
        return getValue();
    }

    public boolean isUDACompliant() {
        // UDA spec says "must be text/xml", however, sometimes you get a charset token as well...
        return getValue() != null && getValue().startsWith("text/xml");
    }

    public boolean isText() {
        return getValue() != null && getValue().startsWith("text/");
    }
}
